Bug 1001740 - [abrt] extremetuxracer-0.4-12.fc19: pushbuf_dump: Process /usr/bin/etracer was killed by signal 11 (SIGSEGV)
Summary: [abrt] extremetuxracer-0.4-12.fc19: pushbuf_dump: Process /usr/bin/etracer wa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1a37655f454daf16cab0cf12dd8...
: 1004713 (view as bug list)
Depends On: 1002506 1006733
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-27 15:49 UTC by Elias Vanderstuyft
Modified: 2013-09-23 00:45 UTC (History)
4 users (show)

Fixed In Version: mesa-9.2-1.20130919.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-20 16:20:04 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (18.72 KB, text/plain)
2013-08-27 15:49 UTC, Elias Vanderstuyft
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-27 15:49 UTC, Elias Vanderstuyft
no flags Details
File: core_backtrace (10.03 KB, text/plain)
2013-08-27 15:49 UTC, Elias Vanderstuyft
no flags Details
File: dso_list (6.04 KB, text/plain)
2013-08-27 15:49 UTC, Elias Vanderstuyft
no flags Details
File: environ (3.10 KB, text/plain)
2013-08-27 15:49 UTC, Elias Vanderstuyft
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-27 15:49 UTC, Elias Vanderstuyft
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-27 15:49 UTC, Elias Vanderstuyft
no flags Details
File: maps (30.39 KB, text/plain)
2013-08-27 15:49 UTC, Elias Vanderstuyft
no flags Details
File: open_fds (273 bytes, text/plain)
2013-08-27 15:49 UTC, Elias Vanderstuyft
no flags Details
File: proc_pid_status (930 bytes, text/plain)
2013-08-27 15:49 UTC, Elias Vanderstuyft
no flags Details
File: var_log_messages (1.51 KB, text/plain)
2013-08-27 15:49 UTC, Elias Vanderstuyft
no flags Details


Links
System ID Private Priority Status Summary Last Updated
FreeDesktop.org 68665 0 None None None Never
Red Hat Bugzilla 1001698 0 unspecified CLOSED [abrt] supertuxkart-0.8-1.fc19: pushbuf_flush: Process /usr/bin/supertuxkart was killed by signal 11 (SIGSEGV) 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1001714 0 unspecified CLOSED [abrt] xonotic-0.7.0-1.fc19: ft_mem_qalloc: Process /usr/bin/xonotic-sdl was killed by signal 6 (SIGABRT) 2021-02-22 00:41:40 UTC

Internal Links: 1001698 1001714

Description Elias Vanderstuyft 2013-08-27 15:49:05 UTC
Description of problem:
Switched on AA (x2) and game crashed, nouveau driver on Nvidia GTX 760.

Version-Release number of selected component:
extremetuxracer-0.4-12.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        etracer
crash_function: pushbuf_dump
executable:     /usr/bin/etracer
kernel:         3.10.9-200.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 pushbuf_dump at pushbuf.c:296
 #1 pushbuf_submit at pushbuf.c:361
 #2 pushbuf_flush at pushbuf.c:402
 #3 nouveau_pushbuf_kick at pushbuf.c:773
 #4 PUSH_KICK at ../../../../src/gallium/drivers/nouveau/nouveau_winsys.h:56
 #5 nvc0_flush at nvc0_context.c:45
 #6 st_glFlush at ../../src/mesa/state_tracker/st_cb_flush.c:121
 #7 _mesa_make_current at ../../src/mesa/main/context.c:1455
 #8 st_api_make_current at ../../src/mesa/state_tracker/st_manager.c:737
 #9 dri_unbind_context at dri_context.c:217

Comment 1 Elias Vanderstuyft 2013-08-27 15:49:10 UTC
Created attachment 791087 [details]
File: backtrace

Comment 2 Elias Vanderstuyft 2013-08-27 15:49:14 UTC
Created attachment 791088 [details]
File: cgroup

Comment 3 Elias Vanderstuyft 2013-08-27 15:49:17 UTC
Created attachment 791089 [details]
File: core_backtrace

Comment 4 Elias Vanderstuyft 2013-08-27 15:49:21 UTC
Created attachment 791090 [details]
File: dso_list

Comment 5 Elias Vanderstuyft 2013-08-27 15:49:24 UTC
Created attachment 791091 [details]
File: environ

Comment 6 Elias Vanderstuyft 2013-08-27 15:49:29 UTC
Created attachment 791092 [details]
File: exploitable

Comment 7 Elias Vanderstuyft 2013-08-27 15:49:37 UTC
Created attachment 791093 [details]
File: limits

Comment 8 Elias Vanderstuyft 2013-08-27 15:49:41 UTC
Created attachment 791094 [details]
File: maps

Comment 9 Elias Vanderstuyft 2013-08-27 15:49:48 UTC
Created attachment 791095 [details]
File: open_fds

Comment 10 Elias Vanderstuyft 2013-08-27 15:49:52 UTC
Created attachment 791096 [details]
File: proc_pid_status

Comment 11 Elias Vanderstuyft 2013-08-27 15:49:56 UTC
Created attachment 791097 [details]
File: var_log_messages

Comment 12 Igor Gnatenko 2013-08-28 14:26:24 UTC
I think problem in mesa.

Comment 13 Igor Gnatenko 2013-09-05 06:04:30 UTC
Update was pushed to stable. Update please. If you will have again this problem - reopen please.

Comment 14 Elias Vanderstuyft 2013-09-05 10:12:25 UTC
*** Bug 1004713 has been marked as a duplicate of this bug. ***

Comment 15 Elias Vanderstuyft 2013-09-05 10:15:00 UTC
Retested with mesa-9.2-1.20130902.fc19, problem persists.

Comment 16 Igor Gnatenko 2013-09-05 11:08:28 UTC
Test this build please: http://koji.fedoraproject.org/koji/taskinfo?taskID=5898642

Comment 17 Elias Vanderstuyft 2013-09-06 18:32:27 UTC
I can confirm the bug is fixed with the x86_64 packages from http://koji.fedoraproject.org/koji/taskinfo?taskID=5898642
Tested with all AA options: off, x2 and x4
No crashes (or graphical glitches.)

Comment 18 Igor Gnatenko 2013-09-06 18:35:54 UTC
Ok. informed upstream. Take this bug.

Comment 19 Igor Gnatenko 2013-09-11 07:37:18 UTC
please test: http://koji.fedoraproject.org/koji/taskinfo?taskID=5921732

Comment 20 Elias Vanderstuyft 2013-09-18 10:46:31 UTC
I can confirm the bug is fixed with the x86_64 packages from http://koji.fedoraproject.org/koji/taskinfo?taskID=5921732
Tested with all AA options: off, x1, x2 and x4
No crashes (or graphical glitches.)

Comment 21 Elias Vanderstuyft 2013-09-18 10:51:05 UTC
I can confirm the bug is fixed with the x86_64 packages from http://koji.fedoraproject.org/koji/taskinfo?taskID=5921732
Tested with all AA options: off, x1, x2 and x4
No crashes (or graphical glitches.)

Comment 22 Igor Gnatenko 2013-09-18 17:44:55 UTC
Many thanks for reporting and testing. Waiting for bug 1006733.

Comment 23 Fedora Update System 2013-09-19 08:03:15 UTC
mesa-9.2-1.20130919.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mesa-9.2-1.20130919.fc19

Comment 24 Fedora Update System 2013-09-19 08:20:28 UTC
mesa-9.2-1.20130919.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mesa-9.2-1.20130919.fc20

Comment 25 Fedora Update System 2013-09-19 18:32:56 UTC
Package mesa-9.2-1.20130919.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mesa-9.2-1.20130919.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17132/mesa-9.2-1.20130919.fc20
then log in and leave karma (feedback).

Comment 26 Elias Vanderstuyft 2013-09-20 08:57:10 UTC
I can confirm the bug is fixed with the x86_64 packages from http://koji.fedoraproject.org/koji/buildinfo?buildID=465600
Tested with all AA options: off, x1, x2 and x4
No crashes (or graphical glitches.)

Comment 27 Igor Gnatenko 2013-09-20 08:58:36 UTC
Thanks for reporting and testing

Comment 28 Fedora Update System 2013-09-20 16:20:04 UTC
mesa-9.2-1.20130919.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2013-09-23 00:45:38 UTC
mesa-9.2-1.20130919.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.